<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.ldt.springback.view.SpringBackLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"

        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" >
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/home_rv_product"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:maxWidth="1500dp"
            android:minHeight="800dp"
            android:maxHeight="800dp"/>
    </com.ldt.springback.view.SpringBackLayout>


    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/home_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.46" />

    <LinearLayout
        android:id="@+id/ll_userbottom"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/home_guideline"
        app:layout_constraintStart_toStartOf="@+id/home_guideline">

        <RelativeLayout
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_wendu"
                android:layout_width="80dp"
                android:layout_height="80dp"
                android:src="@drawable/icon_qxwendu_new" />

            <LinearLayout
                android:id="@+id/ll_wendu"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/iv_wendu">

                <TextView
                    android:id="@+id/tv_wendu"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="40°C"
                    android:textColor="#d4237a"
                    android:textSize="32sp" />


            </LinearLayout>

            <TextView
                android:id="@+id/tv_wendu_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_wendu"
                android:layout_toRightOf="@id/iv_wendu"
                android:lines="2"
                android:text="柜外温度"
                android:textColor="#d4237a"
                android:textSize="22sp" />

        </RelativeLayout>

        <RelativeLayout
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_shidu"
                android:layout_width="80dp"
                android:layout_height="80dp"
                android:src="@drawable/icon_qxshidu_new" />

            <LinearLayout
                android:id="@+id/ll_shidu"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/iv_shidu">

                <TextView
                    android:id="@+id/tv_shidu"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="40°C"
                    android:textColor="#d4237a"
                    android:textSize="32sp" />

            </LinearLayout>

            <TextView
                android:id="@+id/tv_shidu_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_shidu"
                android:layout_toRightOf="@id/iv_shidu"
                android:lines="2"
                android:text="柜外湿度"
                android:textColor="#d4237a"
                android:textSize="22sp" />

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_lutou"
                android:layout_width="80dp"
                android:layout_height="80dp"
                android:src="@drawable/icon_qxlutou_new" />

            <TextView
                android:id="@+id/tv_lutou"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/iv_lutou"
                android:text="40°C"
                android:textColor="#d4237a"
                android:textSize="32sp" />

            <TextView
                android:id="@+id/tv_lutou_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_lutou"
                android:layout_toRightOf="@id/iv_lutou"
                android:lines="2"
                android:text="炉头温度"
                android:textColor="#d4237a"
                android:textSize="22sp" />

        </RelativeLayout>

        <RelativeLayout
            android:visibility="gone"
            android:id="@+id/rl_fashengqi"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_fashengqi"
                android:layout_width="80dp"
                android:layout_height="80dp"
                android:src="@drawable/icon_fsq_new" />

            <TextView
                android:id="@+id/tv_fashengqi"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/iv_fashengqi"
                android:text="40°C"
                android:textColor="#d4237a"
                android:textSize="32sp" />

            <TextView
                android:id="@+id/tv_fashengqi_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_fashengqi"
                android:layout_toRightOf="@id/iv_fashengqi"
                android:lines="2"
                android:text="蒸汽温度"
                android:textColor="#d4237a"
                android:textSize="22sp" />

        </RelativeLayout>


    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>